---
# Cop supports --autocorrect.
Style/PercentLiteralDelimiters:
  Exclude:
    - 'Guardfile'
    - 'app/helpers/auth_helper.rb'
    - 'app/helpers/ci/variables_helper.rb'
    - 'app/helpers/clusters_helper.rb'
    - 'app/helpers/commits_helper.rb'
    - 'app/helpers/diff_helper.rb'
    - 'app/helpers/emails_helper.rb'
    - 'app/helpers/external_link_helper.rb'
    - 'app/helpers/labels_helper.rb'
    - 'app/helpers/markup_helper.rb'
    - 'app/helpers/nav_helper.rb'
    - 'app/helpers/profiles_helper.rb'
    - 'app/helpers/search_helper.rb'
    - 'app/helpers/stat_anchors_helper.rb'
    - 'app/helpers/todos_helper.rb'
    - 'app/models/application_setting.rb'
    - 'app/models/application_setting_implementation.rb'
    - 'app/models/blob_viewer/binary_stl.rb'
    - 'app/models/blob_viewer/cargo_toml.rb'
    - 'app/models/blob_viewer/cartfile.rb'
    - 'app/models/blob_viewer/changelog.rb'
    - 'app/models/blob_viewer/composer_json.rb'
    - 'app/models/blob_viewer/contributing.rb'
    - 'app/models/blob_viewer/csv.rb'
    - 'app/models/blob_viewer/gemfile.rb'
    - 'app/models/blob_viewer/gemspec.rb'
    - 'app/models/blob_viewer/gitlab_ci_yml.rb'
    - 'app/models/blob_viewer/go_mod.rb'
    - 'app/models/blob_viewer/godeps_json.rb'
    - 'app/models/blob_viewer/license.rb'
    - 'app/models/blob_viewer/markup.rb'
    - 'app/models/blob_viewer/metrics_dashboard_yml.rb'
    - 'app/models/blob_viewer/notebook.rb'
    - 'app/models/blob_viewer/open_api.rb'
    - 'app/models/blob_viewer/package_json.rb'
    - 'app/models/blob_viewer/pdf.rb'
    - 'app/models/blob_viewer/podfile.rb'
    - 'app/models/blob_viewer/podspec.rb'
    - 'app/models/blob_viewer/podspec_json.rb'
    - 'app/models/blob_viewer/readme.rb'
    - 'app/models/blob_viewer/requirements_txt.rb'
    - 'app/models/blob_viewer/route_map.rb'
    - 'app/models/blob_viewer/sketch.rb'
    - 'app/models/blob_viewer/svg.rb'
    - 'app/models/blob_viewer/yarn_lock.rb'
    - 'app/models/bulk_imports/file_transfer/group_config.rb'
    - 'app/models/bulk_imports/file_transfer/project_config.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/build_runner_session.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/clusters/applications/cert_manager.rb'
    - 'app/models/clusters/platforms/kubernetes.rb'
    - 'app/models/commit.rb'
    - 'app/models/concerns/clusters/agents/authorization_config_scopes.rb'
    - 'app/models/concerns/diff_positionable_note.rb'
    - 'app/models/concerns/enums/prometheus_metric.rb'
    - 'app/models/concerns/issuable.rb'
    - 'app/models/concerns/issue_available_features.rb'
    - 'app/models/concerns/mentionable/reference_regexes.rb'
    - 'app/models/concerns/noteable.rb'
    - 'app/models/concerns/resolvable_note.rb'
    - 'app/models/concerns/with_uploads.rb'
    - 'app/models/container_registry/event.rb'
    - 'app/models/deploy_token.rb'
    - 'app/models/description_version.rb'
    - 'app/models/design_management.rb'
    - 'app/models/diff_note.rb'
    - 'app/models/discussion_note.rb'
    - 'app/models/draft_note.rb'
    - 'app/models/environment.rb'
    - 'app/models/event.rb'
    - 'app/models/instance_configuration.rb'
    - 'app/models/integrations/asana.rb'
    - 'app/models/integrations/assembla.rb'
    - 'app/models/integrations/base_issue_tracker.rb'
    - 'app/models/integrations/base_monitoring.rb'
    - 'app/models/integrations/base_slash_commands.rb'
    - 'app/models/integrations/base_third_party_wiki.rb'
    - 'app/models/integrations/buildkite.rb'
    - 'app/models/integrations/campfire.rb'
    - 'app/models/integrations/datadog.rb'
    - 'app/models/integrations/drone_ci.rb'
    - 'app/models/integrations/emails_on_push.rb'
    - 'app/models/integrations/external_wiki.rb'
    - 'app/models/integrations/field.rb'
    - 'app/models/integrations/jenkins.rb'
    - 'app/models/integrations/jira.rb'
    - 'app/models/integrations/packagist.rb'
    - 'app/models/integrations/pivotaltracker.rb'
    - 'app/models/integrations/pushover.rb'
    - 'app/models/integrations/teamcity.rb'
    - 'app/models/integrations/zentao.rb'
    - 'app/models/issuable_severity.rb'
    - 'app/models/issue.rb'
    - 'app/models/lfs_download_object.rb'
    - 'app/models/namespace.rb'
    - 'app/models/namespace/root_storage_statistics.rb'
    - 'app/models/note.rb'
    - 'app/models/notification_setting.rb'
    - 'app/models/performance_monitoring/prometheus_dashboard.rb'
    - 'app/models/project.rb'
    - 'app/models/project_feature.rb'
    - 'app/models/project_setting.rb'
    - 'app/models/releases/link.rb'
    - 'app/models/remote_mirror.rb'
    - 'app/models/repository.rb'
    - 'app/models/resource_label_event.rb'
    - 'app/models/resource_state_event.rb'
    - 'app/models/resource_timebox_event.rb'
    - 'app/models/user.rb'
    - 'app/models/user_interacted_project.rb'
    - 'app/policies/identity_provider_policy.rb'
    - 'app/presenters/dev_ops_report/metric_presenter.rb'
    - 'app/presenters/search_service_presenter.rb'
    - 'app/serializers/pipeline_serializer.rb'
    - 'app/services/application_settings/update_service.rb'
    - 'app/services/auth/container_registry_authentication_service.rb'
    - 'app/services/boards/update_service.rb'
    - 'app/services/bulk_imports/file_download_service.rb'
    - 'app/services/ci/update_instance_variables_service.rb'
    - 'app/services/clusters/kubernetes/create_or_update_service_account_service.rb'
    - 'app/services/feature_flags/base_service.rb'
    - 'app/services/files/multi_service.rb'
    - 'app/services/import/bitbucket_server_service.rb'
    - 'app/services/import/fogbugz_service.rb'
    - 'app/services/import/github_service.rb'
    - 'app/services/import/gitlab_projects/file_acquisition_strategies/remote_file.rb'
    - 'app/services/import/gitlab_projects/file_acquisition_strategies/remote_file_s3.rb'
    - 'app/services/import_export_clean_up_service.rb'
    - 'app/services/incident_management/pager_duty/process_webhook_service.rb'
    - 'app/services/issuable/bulk_update_service.rb'
    - 'app/services/merge_requests/update_service.rb'
    - 'app/services/metrics/dashboard/default_embed_service.rb'
    - 'app/services/packages/debian/generate_distribution_service.rb'
    - 'app/services/preview_markdown_service.rb'
    - 'app/services/projects/apple_target_platform_detector_service.rb'
    - 'app/services/projects/download_service.rb'
    - 'app/services/projects/hashed_storage/migrate_attachments_service.rb'
    - 'app/services/projects/lfs_pointers/lfs_object_download_list_service.rb'
    - 'app/services/projects/update_service.rb'
    - 'app/services/prometheus/proxy_service.rb'
    - 'app/services/repositories/base_service.rb'
    - 'app/services/repository_archive_clean_up_service.rb'
    - 'app/services/resource_access_tokens/create_service.rb'
    - 'app/services/resource_access_tokens/revoke_service.rb'
    - 'app/services/search/global_service.rb'
    - 'app/services/search/project_service.rb'
    - 'app/services/snippets/update_service.rb'
    - 'app/services/todos/destroy/destroyed_issuable_service.rb'
    - 'app/services/todos/destroy/entity_leave_service.rb'
    - 'app/uploaders/design_management/design_v432x230_uploader.rb'
    - 'app/uploaders/gitlab_uploader.rb'
    - 'app/validators/addressable_url_validator.rb'
    - 'app/validators/gitlab/zoom_url_validator.rb'
    - 'app/validators/json_schema_validator.rb'
    - 'app/workers/members_destroyer/unassign_issuables_worker.rb'
    - 'app/workers/projects/record_target_platforms_worker.rb'
    - 'config/application.rb'
    - 'config/boot.rb'
    - 'config/environments/production.rb'
    - 'config/initializers/1_settings.rb'
    - 'config/initializers/content_security_policy.rb'
    - 'config/initializers/countries.rb'
    - 'config/initializers/doorkeeper.rb'
    - 'config/initializers/enumerator_next_patch.rb'
    - 'config/initializers/fog_core_patch.rb'
    - 'config/initializers/forbid_sidekiq_in_transactions.rb'
    - 'config/initializers/health_check.rb'
    - 'config/initializers/invisible_captcha.rb'
    - 'config/initializers/lograge.rb'
    - 'config/initializers/rspec_profiling.rb'
    - 'config/initializers_before_autoloader/000_inflections.rb'
    - 'config/object_store_settings.rb'
    - 'config/spring.rb'
    - 'db/migrate/20210608072312_initialize_conversion_of_ci_stages_to_bigint.rb'
    - 'db/migrate/20210608072346_backfill_ci_stages_for_bigint_conversion.rb'
    - 'db/migrate/20210621044000_rename_services_indexes_to_integrations.rb'
    - 'db/migrate/20210709085759_index_batched_migration_jobs_by_max_value.rb'
    - 'db/migrate/20210928155022_improve_index_for_error_tracking.rb'
    - 'db/post_migrate/20210823142036_drop_temporary_trigger_for_ci_job_artifacts.rb'
    - 'db/post_migrate/20210826171758_initialize_throttle_unauthenticated_api_columns.rb'
    - 'db/post_migrate/20210906130643_drop_temporary_columns_and_triggers_for_taggings.rb'
    - 'db/post_migrate/20211028100843_delete_issue_merge_request_taggings_records.rb'
    - 'ee/app/controllers/ee/admin/application_settings_controller.rb'
    - 'ee/app/controllers/ee/projects/service_desk_controller.rb'
    - 'ee/app/controllers/ee/repositories/git_http_client_controller.rb'
    - 'ee/app/controllers/groups/protected_environments_controller.rb'
    - 'ee/app/controllers/projects/integrations/jira/issues_controller.rb'
    - 'ee/app/controllers/projects/protected_environments_controller.rb'
    - 'ee/app/controllers/trials_controller.rb'
    - 'ee/app/finders/iterations_finder.rb'
    - 'ee/app/graphql/types/incident_management/oncall_rotation_date_input_type.rb'
    - 'ee/app/helpers/credentials_inventory_helper.rb'
    - 'ee/app/helpers/ee/auth_helper.rb'
    - 'ee/app/helpers/ee/dashboard_helper.rb'
    - 'ee/app/helpers/ee/integrations_helper.rb'
    - 'ee/app/helpers/ee/issues_helper.rb'
    - 'ee/app/helpers/ee/labels_helper.rb'
    - 'ee/app/helpers/ee/nav_helper.rb'
    - 'ee/app/helpers/ee/trial_helper.rb'
    - 'ee/app/mailers/previews/ci_minutes_usage_mailer_preview.rb'
    - 'ee/app/mailers/previews/emails/namespace_storage_usage_mailer_preview.rb'
    - 'ee/app/mailers/previews/license_mailer_preview.rb'
    - 'ee/app/models/app_sec/fuzzing/api/scan_profile.rb'
    - 'ee/app/models/app_sec/fuzzing/coverage/corpus.rb'
    - 'ee/app/models/concerns/ee/issue_available_features.rb'
    - 'ee/app/models/ee/audit_event.rb'
    - 'ee/app/models/ee/description_version.rb'
    - 'ee/app/models/ee/groups/feature_setting.rb'
    - 'ee/app/models/ee/issue.rb'
    - 'ee/app/models/ee/project_feature.rb'
    - 'ee/app/models/ee/resource_label_event.rb'
    - 'ee/app/models/ee/resource_state_event.rb'
    - 'ee/app/models/ee/user.rb'
    - 'ee/app/models/ee/vulnerability.rb'
    - 'ee/app/models/geo/project_registry.rb'
    - 'ee/app/models/geo/secondary_usage_data.rb'
    - 'ee/app/models/geo_node_status.rb'
    - 'ee/app/models/incident_management/issuable_resource_link.rb'
    - 'ee/app/models/integrations/github.rb'
    - 'ee/app/models/merge_requests/status_check_response.rb'
    - 'ee/app/models/saml_provider.rb'
    - 'ee/app/models/security/orchestration_policy_configuration.rb'
    - 'ee/app/models/software_license_policy.rb'
    - 'ee/app/models/storage_shard.rb'
    - 'ee/app/services/approval_rules/create_service.rb'
    - 'ee/app/services/boards/epic_boards/update_service.rb'
    - 'ee/app/services/ci/sync_reports_to_approval_rules_service.rb'
    - 'ee/app/services/concerns/search/elasticsearchable.rb'
    - 'ee/app/services/ee/boards/update_service.rb'
    - 'ee/app/services/ee/search/group_service.rb'
    - 'ee/app/services/ee/search/project_service.rb'
    - 'ee/app/services/epics/tree_reorder_service.rb'
    - 'ee/app/services/iterations/update_service.rb'
    - 'ee/app/services/jira/jql_builder_service.rb'
    - 'ee/app/services/security/configuration/save_auto_fix_service.rb'
    - 'ee/app/services/security/dependency_list_service.rb'
    - 'ee/app/services/security/ingestion/tasks/update_vulnerability_uuids.rb'
    - 'ee/elastic/migrate/20220613120500_migrate_commits_to_separate_index.rb'
    - 'ee/lib/api/status_checks.rb'
    - 'ee/lib/api/visual_review_discussions.rb'
    - 'ee/lib/ee/api/helpers/members_helpers.rb'
    - 'ee/lib/ee/api/helpers/projects_helpers.rb'
    - 'ee/lib/ee/api/members.rb'
    - 'ee/lib/ee/api/search.rb'
    - 'ee/lib/ee/gitlab/alert_management/payload/generic.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/adapter.rb'
    - 'ee/lib/ee/gitlab/background_migration/fix_incorrect_max_seats_used.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_approver_to_approval_rules.rb'
    - 'ee/lib/ee/gitlab/checks/push_rules/file_size_check.rb'
    - 'ee/lib/ee/gitlab/ci/parsers/security/validators/schema_validator.rb'
    - 'ee/lib/ee/gitlab/etag_caching/router/rails.rb'
    - 'ee/lib/ee/gitlab/middleware/read_only/controller.rb'
    - 'ee/lib/ee/gitlab/path_regex.rb'
    - 'ee/lib/ee/gitlab/usage_data.rb'
    - 'ee/lib/elastic/class_proxy_util.rb'
    - 'ee/lib/elastic/latest/config.rb'
    - 'ee/lib/elastic/latest/custom_language_analyzers.rb'
    - 'ee/lib/elastic/latest/git_class_proxy.rb'
    - 'ee/lib/elastic/latest/project_instance_proxy.rb'
    - 'ee/lib/elastic/latest/snippet_class_proxy.rb'
    - 'ee/lib/gitlab/auth/group_saml/auth_hash.rb'
    - 'ee/lib/gitlab/geo/replicator.rb'
    - 'ee/lib/gitlab/usage/metrics/instrumentations/license_metric.rb'
    - 'ee/lib/tasks/gitlab/elastic/test.rake'
    - 'ee/spec/config/metrics/every_metric_definition_spec.rb'
    - 'ee/spec/controllers/ee/sessions_controller_spec.rb'
    - 'ee/spec/controllers/groups/saml_providers_controller_spec.rb'
    - 'ee/spec/controllers/groups/scim_oauth_controller_spec.rb'
    - 'ee/spec/controllers/groups/sso_controller_spec.rb'
    - 'ee/spec/controllers/projects/issues_controller_spec.rb'
    - 'ee/spec/controllers/projects/pipelines_controller_spec.rb'
    - 'ee/spec/controllers/projects/security/configuration_controller_spec.rb'
    - 'ee/spec/elastic_integration/global_search_spec.rb'
    - 'ee/spec/factories/dast/profile_schedule_input_type.rb'
    - 'ee/spec/factories/dast/profile_schedules.rb'
    - 'ee/spec/features/admin/admin_reset_pipeline_minutes_spec.rb'
    - 'ee/spec/features/admin/geo/admin_geo_nodes_spec.rb'
    - 'ee/spec/features/groups/sso_spec.rb'
    - 'ee/spec/features/profiles/account_spec.rb'
    - 'ee/spec/features/projects/environments/environments_spec.rb'
    - 'ee/spec/features/projects/integrations/user_activates_jira_spec.rb'
    - 'ee/spec/features/projects/settings/protected_environments_spec.rb'
    - 'ee/spec/features/users/login_spec.rb'
    - 'ee/spec/finders/template_finder_spec.rb'
    - 'ee/spec/frontend/fixtures/saml_providers.rb'
    - 'ee/spec/graphql/ee/resolvers/board_lists_resolver_spec.rb'
    - 'ee/spec/graphql/ee/types/boards/board_issue_input_type_spec.rb'
    - 'ee/spec/graphql/mutations/boards/update_spec.rb'
    - 'ee/spec/graphql/resolvers/board_groupings/epics_resolvers_spec.rb'
    - 'ee/spec/graphql/resolvers/pipeline_security_report_findings_resolver_spec.rb'
    - 'ee/spec/graphql/types/dast/profile_cadence_enum_spec.rb'
    - 'ee/spec/graphql/types/dast/scan_method_type_enum_spec.rb'
    - 'ee/spec/graphql/types/incident_management/escalation_rule_input_type_spec.rb'
    - 'ee/spec/graphql/types/scan_type_spec.rb'
    - 'ee/spec/graphql/types/vulnerable_projects_by_grade_type_spec.rb'
    - 'ee/spec/helpers/ee/application_settings_helper_spec.rb'
    - 'ee/spec/helpers/ee/auth_helper_spec.rb'
    - 'ee/spec/helpers/ee/environments_helper_spec.rb'
    - 'ee/spec/helpers/ee/geo_helper_spec.rb'
    - 'ee/spec/helpers/ee/labels_helper_spec.rb'
    - 'ee/spec/helpers/ee/security_orchestration_helper_spec.rb'
    - 'ee/spec/helpers/ee/welcome_helper_spec.rb'
    - 'ee/spec/helpers/merge_requests_helper_spec.rb'
    - 'ee/spec/helpers/subscriptions_helper_spec.rb'
    - 'ee/spec/helpers/vulnerabilities_helper_spec.rb'
    - 'ee/spec/lib/banzai/filter/references/epic_reference_filter_spec.rb'
    - 'ee/spec/lib/banzai/filter/references/iteration_reference_filter_spec.rb'
    - 'ee/spec/lib/banzai/filter/references/vulnerability_reference_filters_spec.rb'
    - 'ee/spec/lib/ee/backup/repositories_spec.rb'
    - 'ee/spec/lib/ee/gitlab/alert_management/payload/generic_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/access_levels_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/config_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/group_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/sync/external_users_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/sync/group_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/sync/groups_spec.rb'
    - 'ee/spec/lib/ee/gitlab/ci/reports/security/reports_spec.rb'
    - 'ee/spec/lib/ee/gitlab/git_access_design_spec.rb'
    - 'ee/spec/lib/ee/gitlab/git_access_snippet_spec.rb'
    - 'ee/spec/lib/ee/gitlab/security/scan_configuration_spec.rb'
    - 'ee/spec/lib/ee/gitlab/usage_data_spec.rb'
    - 'ee/spec/lib/elastic/latest/custom_language_analyzers_spec.rb'
    - 'ee/spec/lib/gitlab/alert_management/alert_payload_field_extractor_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/request_params_spec.rb'
    - 'ee/spec/lib/gitlab/auth/group_saml/auth_hash_spec.rb'
    - 'ee/spec/lib/gitlab/auth/group_saml/membership_updater_spec.rb'
    - 'ee/spec/lib/gitlab/auth/group_saml/user_spec.rb'
    - 'ee/spec/lib/gitlab/auth/ldap/adapter_spec.rb'
    - 'ee/spec/lib/gitlab/auth/ldap/person_spec.rb'
    - 'ee/spec/lib/gitlab/auth/saml/membership_updater_spec.rb'
    - 'ee/spec/lib/gitlab/auth/saml/user_spec.rb'
    - 'ee/spec/lib/gitlab/authority_analyzer_spec.rb'
    - 'ee/spec/lib/gitlab/cache_spec.rb'
    - 'ee/spec/lib/gitlab/ci/reports/security/finding_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/Jobs/dast_default_branch_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/dependency_scanning_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/sast_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/sast_iac_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/sast_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/secret_detection_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/secret_detection_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/expiring_subscription_message_spec.rb'
    - 'ee/spec/lib/gitlab/git_access_spec.rb'
    - 'ee/spec/lib/gitlab/graphql/aggregations/epics/lazy_epic_aggregate_spec.rb'
    - 'ee/spec/lib/gitlab/status_page/filter/image_filter_spec.rb'
    - 'ee/spec/lib/gitlab/status_page/filter/mention_anonymization_filter_spec.rb'
    - 'ee/spec/lib/gitlab/status_page/storage/s3_client_spec.rb'
    - 'ee/spec/lib/gitlab/status_page/storage/s3_multipart_upload_spec.rb'
    - 'ee/spec/lib/gitlab/vulnerabilities/parser_spec.rb'
    - 'ee/spec/mailers/ci_minutes_usage_mailer_spec.rb'
    - 'ee/spec/mailers/credentials_inventory_mailer_spec.rb'
    - 'ee/spec/mailers/ee/emails/profile_spec.rb'
    - 'ee/spec/mailers/emails/namespace_storage_usage_mailer_spec.rb'
    - 'ee/spec/mailers/license_mailer_spec.rb'
    - 'ee/spec/mailers/notify_spec.rb'
    - 'ee/spec/models/approval_project_rule_spec.rb'
    - 'ee/spec/models/ci/build_spec.rb'
    - 'ee/spec/models/ci/pipeline_spec.rb'
    - 'ee/spec/models/concerns/ee/issuable_spec.rb'
    - 'ee/spec/models/concerns/ee/project_security_scanners_information_spec.rb'
    - 'ee/spec/models/ee/ci/job_artifact_spec.rb'
    - 'ee/spec/models/ee/ci/runner_spec.rb'
    - 'ee/spec/models/ee/groups/feature_setting_spec.rb'
    - 'ee/spec/models/ee/integration_spec.rb'
    - 'ee/spec/models/ee/integrations/jira_spec.rb'
    - 'ee/spec/models/ee/personal_access_token_spec.rb'
    - 'ee/spec/models/instance_security_dashboard_spec.rb'
    - 'ee/spec/models/issue_spec.rb'
    - 'ee/spec/models/project_feature_spec.rb'
    - 'ee/spec/models/protected_environment_spec.rb'
    - 'ee/spec/models/push_rule_spec.rb'
    - 'ee/spec/models/repository_spec.rb'
    - 'ee/spec/models/saml_provider_spec.rb'
    - 'ee/spec/models/security/scan_spec.rb'
    - 'ee/spec/models/vulnerabilities/historical_statistic_spec.rb'
    - 'ee/spec/models/vulnerabilities/stat_diff_spec.rb'
    - 'ee/spec/models/vulnerabilities/statistic_spec.rb'
    - 'ee/spec/policies/group_policy_spec.rb'
    - 'ee/spec/policies/project_policy_spec.rb'
    - 'ee/spec/presenters/merge_request_approver_presenter_spec.rb'
    - 'ee/spec/requests/admin/user_permission_exports_controller_spec.rb'
    - 'ee/spec/requests/api/dependencies_spec.rb'
    - 'ee/spec/requests/api/epics_spec.rb'
    - 'ee/spec/requests/api/geo_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/alert_management/http_integration/update_spec.rb'
    - 'ee/spec/requests/api/graphql/project/alert_management/http_integrations_spec.rb'
    - 'ee/spec/requests/api/internal/base_spec.rb'
    - 'ee/spec/requests/api/issues_spec.rb'
    - 'ee/spec/requests/api/merge_requests_spec.rb'
    - 'ee/spec/requests/api/wikis_spec.rb'
    - 'ee/spec/requests/lfs_locks_api_spec.rb'
    - 'ee/spec/serializers/merge_request_widget_entity_spec.rb'
    - 'ee/spec/services/admin/email_service_spec.rb'
    - 'ee/spec/services/base_count_service_spec.rb'
    - 'ee/spec/services/ci/compare_security_reports_service_spec.rb'
    - 'ee/spec/services/ci/sync_reports_to_approval_rules_service_spec.rb'
    - 'ee/spec/services/ee/auth/container_registry_authentication_service_spec.rb'
    - 'ee/spec/services/ee/groups/autocomplete_service_spec.rb'
    - 'ee/spec/services/ee/members/create_service_spec.rb'
    - 'ee/spec/services/ee/protected_branches/create_service_spec.rb'
    - 'ee/spec/services/ee/users/update_service_spec.rb'
    - 'ee/spec/services/elastic/data_migration_service_spec.rb'
    - 'ee/spec/services/geo/cache_invalidation_event_store_spec.rb'
    - 'ee/spec/services/jira/jql_builder_service_spec.rb'
    - 'ee/spec/services/personal_access_tokens/rotation_verifier_service_spec.rb'
    - 'ee/spec/services/protected_environments/search_service_spec.rb'
    - 'ee/spec/services/security/dependency_list_service_spec.rb'
    - 'ee/spec/services/security/token_revocation_service_spec.rb'
    - 'ee/spec/services/system_notes/vulnerabilities_service_spec.rb'
    - 'ee/spec/support/helpers/ee/login_helpers.rb'
    - 'ee/spec/support/license_scanning_reports/license_scanning_report_helper.rb'
    - 'ee/spec/support/prometheus/additional_metrics_shared_examples.rb'
    - 'ee/spec/support/protected_tags/access_control_shared_examples.rb'
    - 'ee/spec/support/shared_examples/features/protected_branches_access_control_shared_examples.rb'
    - 'ee/spec/support/shared_examples/finders/geo/file_registry_finder_shared_examples.rb'
    - 'ee/spec/support/shared_examples/finders/geo/registry_finder_shared_examples.rb'
    - 'ee/spec/support/shared_examples/lib/gitlab/git_access_shared_examples.rb'
    - 'ee/spec/support/shared_examples/requests/api/graphql/incident_management/escalation_policies_shared_examples.rb'
    - 'ee/spec/validators/json_schema_validator_spec.rb'
    - 'ee/spec/views/operations/index.html.haml_spec.rb'
    - 'ee/spec/views/shared/credentials_inventory/personal_access_tokens/_personal_access_token.html.haml_spec.rb'
    - 'ee/spec/workers/ee/issuable_export_csv_worker_spec.rb'
    - 'ee/spec/workers/project_cache_worker_spec.rb'
    - 'ee/spec/workers/repository_import_worker_spec.rb'
    - 'lib/api/ci/helpers/runner.rb'
    - 'lib/api/commit_statuses.rb'
    - 'lib/api/discussions.rb'
    - 'lib/api/entities/note.rb'
    - 'lib/api/helpers/common_helpers.rb'
    - 'lib/api/helpers/notes_helpers.rb'
    - 'lib/api/helpers/projects_helpers.rb'
    - 'lib/api/helpers/search_helpers.rb'
    - 'lib/api/maven_packages.rb'
    - 'lib/api/repositories.rb'
    - 'lib/api/search.rb'
    - 'lib/api/users.rb'
    - 'lib/backup/database.rb'
    - 'lib/backup/manager.rb'
    - 'lib/banzai/filter/ascii_doc_sanitization_filter.rb'
    - 'lib/banzai/filter/autolink_filter.rb'
    - 'lib/banzai/filter/base_sanitization_filter.rb'
    - 'lib/banzai/filter/broadcast_message_sanitization_filter.rb'
    - 'lib/banzai/filter/custom_emoji_filter.rb'
    - 'lib/banzai/filter/emoji_filter.rb'
    - 'lib/banzai/filter/gollum_tags_filter.rb'
    - 'lib/banzai/filter/inline_diff_filter.rb'
    - 'lib/banzai/filter/issuable_reference_expansion_filter.rb'
    - 'lib/banzai/filter/references/reference_filter.rb'
    - 'lib/banzai/filter/repository_link_filter.rb'
    - 'lib/banzai/filter/sanitization_filter.rb'
    - 'lib/banzai/filter/spaced_link_filter.rb'
    - 'lib/banzai/filter/syntax_highlight_filter.rb'
    - 'lib/banzai/filter/table_of_contents_filter.rb'
    - 'lib/banzai/pipeline/base_pipeline.rb'
    - 'lib/banzai/pipeline/description_pipeline.rb'
    - 'lib/banzai/pipeline/incident_management/timeline_event_pipeline.rb'
    - 'lib/bitbucket/page.rb'
    - 'lib/bitbucket/representation/issue.rb'
    - 'lib/container_registry/path.rb'
    - 'lib/feature.rb'
    - 'lib/generators/gitlab/usage_metric_definition_generator.rb'
    - 'lib/generators/gitlab/usage_metric_generator.rb'
    - 'lib/gitlab.rb'
    - 'lib/gitlab/alert_management/payload/managed_prometheus.rb'
    - 'lib/gitlab/alert_management/payload/prometheus.rb'
    - 'lib/gitlab/asciidoc/syntax_highlighter/html_pipeline_adapter.rb'
    - 'lib/gitlab/auth/ldap/adapter.rb'
    - 'lib/gitlab/auth/ldap/config.rb'
    - 'lib/gitlab/background_migration/backfill_note_discussion_id.rb'
    - 'lib/gitlab/bare_repository_import/importer.rb'
    - 'lib/gitlab/ci/ansi2html.rb'
    - 'lib/gitlab/ci/config/entry/bridge.rb'
    - 'lib/gitlab/ci/reports/codequality_reports.rb'
    - 'lib/gitlab/ci/reports/test_reports_comparer.rb'
    - 'lib/gitlab/cleanup/orphan_job_artifact_files.rb'
    - 'lib/gitlab/cluster/rack_timeout_observer.rb'
    - 'lib/gitlab/content_security_policy/config_loader.rb'
    - 'lib/gitlab/database/load_balancing/connection_proxy.rb'
    - 'lib/gitlab/database/migration_helpers/cascading_namespace_settings.rb'
    - 'lib/gitlab/database/reindexing.rb'
    - 'lib/gitlab/dependency_linker/base_linker.rb'
    - 'lib/gitlab/diff/char_diff.rb'
    - 'lib/gitlab/diff/inline_diff_marker.rb'
    - 'lib/gitlab/diff/line.rb'
    - 'lib/gitlab/etag_caching/middleware.rb'
    - 'lib/gitlab/etag_caching/router/graphql.rb'
    - 'lib/gitlab/etag_caching/router/rails.rb'
    - 'lib/gitlab/fips.rb'
    - 'lib/gitlab/git/blob.rb'
    - 'lib/gitlab/git/diff.rb'
    - 'lib/gitlab/git/rugged_impl/repository.rb'
    - 'lib/gitlab/git/tree.rb'
    - 'lib/gitlab/git_access.rb'
    - 'lib/gitlab/gitaly_client.rb'
    - 'lib/gitlab/gitaly_client/diff.rb'
    - 'lib/gitlab/gitaly_client/wiki_page.rb'
    - 'lib/gitlab/graphql/query_analyzers/ast/recursion_analyzer.rb'
    - 'lib/gitlab/hotlinking_detector.rb'
    - 'lib/gitlab/import_export/command_line_util.rb'
    - 'lib/gitlab/import_export/file_importer.rb'
    - 'lib/gitlab/import_export/repo_restorer.rb'
    - 'lib/gitlab/jira_import/metadata_collector.rb'
    - 'lib/gitlab/kas.rb'
    - 'lib/gitlab/kroki.rb'
    - 'lib/gitlab/kubernetes/helm/pod.rb'
    - 'lib/gitlab/kubernetes/kubectl_cmd.rb'
    - 'lib/gitlab/logger.rb'
    - 'lib/gitlab/lograge/custom_options.rb'
    - 'lib/gitlab/metrics/background_transaction.rb'
    - 'lib/gitlab/metrics/dashboard/importers/prometheus_metrics.rb'
    - 'lib/gitlab/metrics/dashboard/stages/url_validator.rb'
    - 'lib/gitlab/metrics/requests_rack_middleware.rb'
    - 'lib/gitlab/metrics/subscribers/action_view.rb'
    - 'lib/gitlab/metrics/subscribers/active_record.rb'
    - 'lib/gitlab/metrics/transaction.rb'
    - 'lib/gitlab/metrics/web_transaction.rb'
    - 'lib/gitlab/middleware/read_only/controller.rb'
    - 'lib/gitlab/project_search_results.rb'
    - 'lib/gitlab/prometheus/query_variables.rb'
    - 'lib/gitlab/query_limiting/transaction.rb'
    - 'lib/gitlab/redis/multi_store.rb'
    - 'lib/gitlab/reference_extractor.rb'
    - 'lib/gitlab/regex.rb'
    - 'lib/gitlab/sanitizers/exception_message.rb'
    - 'lib/gitlab/sanitizers/exif.rb'
    - 'lib/gitlab/search/abuse_detection.rb'
    - 'lib/gitlab/search_context.rb'
    - 'lib/gitlab/slash_commands/presenters/base.rb'
    - 'lib/gitlab/ssh_public_key.rb'
    - 'lib/gitlab/task_helpers.rb'
    - 'lib/gitlab/url_blocker.rb'
    - 'lib/gitlab/usage/metrics/instrumentations/count_imported_projects_total_metric.rb'
    - 'lib/gitlab/usage/metrics/instrumentations/database_metric.rb'
    - 'lib/gitlab/usage/metrics/instrumentations/numbers_metric.rb'
    - 'lib/gitlab/usage_data.rb'
    - 'lib/gitlab/usage_data/topology.rb'
    - 'lib/gitlab/usage_data_counters/hll_redis_counter.rb'
    - 'lib/gitlab/utils/sanitize_node_link.rb'
    - 'lib/gitlab/web_hooks/rate_limiter.rb'
    - 'lib/gitlab/workhorse.rb'
    - 'lib/grafana/validator.rb'
    - 'lib/omni_auth/strategies/jwt.rb'
    - 'lib/release_highlights/validator/entry.rb'
    - 'lib/security/ci_configuration/sast_build_action.rb'
    - 'lib/sidebars/projects/menus/repository_menu.rb'
    - 'lib/system_check/app/migrations_are_up_check.rb'
    - 'lib/system_check/incoming_email/mail_room_running_check.rb'
    - 'lib/system_check/sidekiq_check.rb'
    - 'lib/tasks/cleanup.rake'
    - 'lib/tasks/gettext.rake'
    - 'lib/tasks/gitlab/info.rake'
    - 'lib/tasks/gitlab/shell.rake'
    - 'lib/tasks/gitlab/update_templates.rake'
    - 'lib/tasks/tanuki_emoji.rake'
    - 'metrics_server/metrics_server.rb'
    - 'qa/qa/ee/page/dashboard/projects.rb'
    - 'qa/qa/ee/page/group/settings/general.rb'
    - 'qa/qa/ee/page/project/issue/show.rb'
    - 'qa/qa/ee/page/project/job/show.rb'
    - 'qa/qa/ee/page/project/packages/index.rb'
    - 'qa/qa/ee/page/project/show.rb'
    - 'qa/qa/ee/page/project/snippet/index.rb'
    - 'qa/qa/ee/page/project/wiki/show.rb'
    - 'qa/qa/resource/events/project.rb'
    - 'qa/qa/resource/personal_access_token_cache.rb'
    - 'qa/qa/resource/visibility.rb'
    - 'qa/qa/service/cluster_provider/gcloud.rb'
    - 'qa/qa/service/praefect_manager.rb'
    - 'qa/qa/specs/features/api/3_create/repository/project_archive_compare_spec.rb'
    - 'qa/qa/specs/features/browser_ui/2_plan/email/trigger_email_notification_spec.rb'
    - 'qa/qa/specs/features/browser_ui/4_verify/pipeline/pipeline_with_image_pull_policy_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/3_create/repository/push_rules_spec.rb'
    - 'qa/spec/git/repository_spec.rb'
    - 'qa/spec/page/view_spec.rb'
    - 'rubocop/cop/migration/background_migrations.rb'
    - 'rubocop/cop/rspec/httparty_basic_auth.rb'
    - 'rubocop/migration_helpers.rb'
    - 'scripts/qa/quarantine-types-check'
    - 'scripts/qa/testcases-check'
    - 'scripts/regenerate-schema'
    - 'scripts/undercoverage'
    - 'sidekiq_cluster/cli.rb'
    - 'spec/benchmarks/banzai_benchmark.rb'
    - 'spec/commands/sidekiq_cluster/cli_spec.rb'
    - 'spec/components/pajamas/component_spec.rb'
    - 'spec/config/mail_room_spec.rb'
    - 'spec/controllers/concerns/continue_params_spec.rb'
    - 'spec/controllers/graphql_controller_spec.rb'
    - 'spec/controllers/groups/releases_controller_spec.rb'
    - 'spec/controllers/jira_connect/app_descriptor_controller_spec.rb'
    - 'spec/controllers/oauth/applications_controller_spec.rb'
    - 'spec/controllers/profiles/two_factor_auths_controller_spec.rb'
    - 'spec/controllers/projects/artifacts_controller_spec.rb'
    - 'spec/controllers/projects/deploy_keys_controller_spec.rb'
    - 'spec/controllers/projects/environments/prometheus_api_controller_spec.rb'
    - 'spec/controllers/projects/environments_controller_spec.rb'
    - 'spec/controllers/projects/issues_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests/conflicts_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests/creations_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests_controller_spec.rb'
    - 'spec/controllers/projects/performance_monitoring/dashboards_controller_spec.rb'
    - 'spec/controllers/projects/pipelines_controller_spec.rb'
    - 'spec/controllers/projects/settings/ci_cd_controller_spec.rb'
    - 'spec/controllers/projects_controller_spec.rb'
    - 'spec/controllers/search_controller_spec.rb'
    - 'spec/controllers/snippets_controller_spec.rb'
    - 'spec/db/docs_spec.rb'
    - 'spec/experiments/ios_specific_templates_experiment_spec.rb'
    - 'spec/factories/ci/builds.rb'
    - 'spec/factories/ci/runners.rb'
    - 'spec/factories/clusters/applications/helm.rb'
    - 'spec/factories/clusters/clusters.rb'
    - 'spec/factories/clusters/integrations/prometheus.rb'
    - 'spec/factories/clusters/providers/aws.rb'
    - 'spec/factories/deployments.rb'
    - 'spec/features/expand_collapse_diffs_spec.rb'
    - 'spec/features/issuables/issuable_list_spec.rb'
    - 'spec/features/issues/create_issue_for_discussions_in_merge_request_spec.rb'
    - 'spec/features/issues/move_spec.rb'
    - 'spec/features/issues/resource_label_events_spec.rb'
    - 'spec/features/issues/user_bulk_edits_issues_labels_spec.rb'
    - 'spec/features/issues/user_creates_issue_spec.rb'
    - 'spec/features/markdown/markdown_spec.rb'
    - 'spec/features/merge_request/user_creates_image_diff_notes_spec.rb'
    - 'spec/features/merge_request/user_sees_avatar_on_diff_notes_spec.rb'
    - 'spec/features/projects/active_tabs_spec.rb'
    - 'spec/features/projects/artifacts/user_downloads_artifacts_spec.rb'
    - 'spec/features/projects/environments/environment_spec.rb'
    - 'spec/features/projects/integrations/user_activates_jira_spec.rb'
    - 'spec/features/projects/jobs_spec.rb'
    - 'spec/features/projects/labels/issues_sorted_by_priority_spec.rb'
    - 'spec/features/projects/pipelines/pipeline_spec.rb'
    - 'spec/features/projects/pipelines/pipelines_spec.rb'
    - 'spec/features/tags/developer_views_tags_spec.rb'
    - 'spec/features/users/login_spec.rb'
    - 'spec/finders/alert_management/alerts_finder_spec.rb'
    - 'spec/finders/branches_finder_spec.rb'
    - 'spec/finders/ci/jobs_finder_spec.rb'
    - 'spec/finders/ci/runners_finder_spec.rb'
    - 'spec/finders/environments/environments_finder_spec.rb'
    - 'spec/finders/groups_finder_spec.rb'
    - 'spec/finders/license_template_finder_spec.rb'
    - 'spec/finders/merge_requests_finder_spec.rb'
    - 'spec/finders/tags_finder_spec.rb'
    - 'spec/finders/template_finder_spec.rb'
    - 'spec/graphql/mutations/alert_management/update_alert_status_spec.rb'
    - 'spec/graphql/mutations/ci/runner/update_spec.rb'
    - 'spec/graphql/mutations/commits/create_spec.rb'
    - 'spec/graphql/resolvers/board_lists_resolver_spec.rb'
    - 'spec/graphql/resolvers/container_repository_tags_resolver_spec.rb'
    - 'spec/graphql/resolvers/projects/jira_projects_resolver_spec.rb'
    - 'spec/graphql/resolvers/projects_resolver_spec.rb'
    - 'spec/graphql/types/boards/board_issue_input_type_spec.rb'
    - 'spec/graphql/types/design_management/design_collection_copy_state_enum_spec.rb'
    - 'spec/graphql/types/issue_type_spec.rb'
    - 'spec/haml_lint/linter/no_plain_nodes_spec.rb'
    - 'spec/helpers/appearances_helper_spec.rb'
    - 'spec/helpers/application_settings_helper_spec.rb'
    - 'spec/helpers/auth_helper_spec.rb'
    - 'spec/helpers/breadcrumbs_helper_spec.rb'
    - 'spec/helpers/ci/pipelines_helper_spec.rb'
    - 'spec/helpers/clusters_helper_spec.rb'
    - 'spec/helpers/diff_helper_spec.rb'
    - 'spec/helpers/emails_helper_spec.rb'
    - 'spec/helpers/issuables_description_templates_helper_spec.rb'
    - 'spec/helpers/issues_helper_spec.rb'
    - 'spec/helpers/nav_helper_spec.rb'
    - 'spec/helpers/page_layout_helper_spec.rb'
    - 'spec/helpers/profiles_helper_spec.rb'
    - 'spec/helpers/releases_helper_spec.rb'
    - 'spec/helpers/tracking_helper_spec.rb'
    - 'spec/initializers/direct_upload_support_spec.rb'
    - 'spec/initializers/enumerator_next_patch_spec.rb'
    - 'spec/initializers/rack_multipart_patch_spec.rb'
    - 'spec/lib/api/ci/helpers/runner_helpers_spec.rb'
    - 'spec/lib/api/entities/user_spec.rb'
    - 'spec/lib/api/helpers/common_helpers_spec.rb'
    - 'spec/lib/atlassian/jira_connect/client_spec.rb'
    - 'spec/lib/backup/files_spec.rb'
    - 'spec/lib/backup/manager_spec.rb'
    - 'spec/lib/backup/repositories_spec.rb'
    - 'spec/lib/banzai/filter/asset_proxy_filter_spec.rb'
    - 'spec/lib/banzai/filter/autolink_filter_spec.rb'
    - 'spec/lib/banzai/filter/broadcast_message_sanitization_filter_spec.rb'
    - 'spec/lib/banzai/filter/image_link_filter_spec.rb'
    - 'spec/lib/banzai/filter/inline_metrics_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/alert_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/commit_range_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/commit_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/design_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/external_issue_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/feature_flag_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/issue_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/label_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/merge_request_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/milestone_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/project_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/snippet_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/user_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/syntax_highlight_filter_spec.rb'
    - 'spec/lib/banzai/filter_array_spec.rb'
    - 'spec/lib/banzai/pipeline/description_pipeline_spec.rb'
    - 'spec/lib/banzai/pipeline/full_pipeline_spec.rb'
    - 'spec/lib/banzai/pipeline/gfm_pipeline_spec.rb'
    - 'spec/lib/banzai/pipeline/incident_management/timeline_event_pipeline_spec.rb'
    - 'spec/lib/banzai/pipeline/plain_markdown_pipeline_spec.rb'
    - 'spec/lib/banzai/reference_parser/base_parser_spec.rb'
    - 'spec/lib/banzai/reference_parser/commit_parser_spec.rb'
    - 'spec/lib/banzai/reference_parser/issue_parser_spec.rb'
    - 'spec/lib/banzai/reference_parser/merge_request_parser_spec.rb'
    - 'spec/lib/bitbucket/collection_spec.rb'
    - 'spec/lib/bitbucket/representation/repo_spec.rb'
    - 'spec/lib/bulk_imports/common/pipelines/boards_pipeline_spec.rb'
    - 'spec/lib/bulk_imports/common/transformers/prohibited_attributes_transformer_spec.rb'
    - 'spec/lib/gitlab/alert_management/payload/base_spec.rb'
    - 'spec/lib/gitlab/asset_proxy_spec.rb'
    - 'spec/lib/gitlab/auth/ldap/auth_hash_spec.rb'
    - 'spec/lib/gitlab/auth/ldap/config_spec.rb'
    - 'spec/lib/gitlab/auth/ldap/person_spec.rb'
    - 'spec/lib/gitlab/auth/o_auth/user_spec.rb'
    - 'spec/lib/gitlab/auth/saml/auth_hash_spec.rb'
    - 'spec/lib/gitlab/auth/saml/user_spec.rb'
    - 'spec/lib/gitlab/background_migration/batched_migration_job_spec.rb'
    - 'spec/lib/gitlab/background_migration/copy_column_using_background_migration_job_spec.rb'
    - 'spec/lib/gitlab/bare_repository_import/importer_spec.rb'
    - 'spec/lib/gitlab/batch_worker_context_spec.rb'
    - 'spec/lib/gitlab/bitbucket_import/importer_spec.rb'
    - 'spec/lib/gitlab/cache_spec.rb'
    - 'spec/lib/gitlab/ci/ansi2html_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/bridge_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/commands_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/environment_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/image_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/root_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/service_spec.rb'
    - 'spec/lib/gitlab/ci/config/extendable/entry_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/file/base_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/security/secret_detection_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/template_usage_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/expression/lexeme/equals_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/seed/build_spec.rb'
    - 'spec/lib/gitlab/ci/reports/accessibility_reports_comparer_spec.rb'
    - 'spec/lib/gitlab/ci/reports/accessibility_reports_spec.rb'
    - 'spec/lib/gitlab/ci/reports/security/reports_spec.rb'
    - 'spec/lib/gitlab/ci/reports/test_suite_spec.rb'
    - 'spec/lib/gitlab/ci/status/composite_spec.rb'
    - 'spec/lib/gitlab/ci/status/stage/factory_spec.rb'
    - 'spec/lib/gitlab/ci/templates/5_minute_production_app_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/Jobs/deploy_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/Jobs/sast_iac_latest_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/auto_devops_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/variables/collection/item_spec.rb'
    - 'spec/lib/gitlab/ci/yaml_processor/dag_spec.rb'
    - 'spec/lib/gitlab/ci/yaml_processor_spec.rb'
    - 'spec/lib/gitlab/config/entry/factory_spec.rb'
    - 'spec/lib/gitlab/conflict/file_spec.rb'
    - 'spec/lib/gitlab/data_builder/build_spec.rb'
    - 'spec/lib/gitlab/data_builder/pipeline_spec.rb'
    - 'spec/lib/gitlab/data_builder/push_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/batched_job_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/batched_job_transition_log_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers/cascading_namespace_settings_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/postgres_index_spec.rb'
    - 'spec/lib/gitlab/database/reindexing_spec.rb'
    - 'spec/lib/gitlab/database/rename_reserved_paths_migration/v1/rename_base_spec.rb'
    - 'spec/lib/gitlab/database/transaction/observer_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/base_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/cargo_toml_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/cartfile_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/composer_json_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/gemfile_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/gemspec_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/go_mod_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/go_sum_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/godeps_json_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/package_json_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/podfile_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/podspec_json_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/podspec_linker_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/requirements_txt_linker_spec.rb'
    - 'spec/lib/gitlab/diff/highlight_spec.rb'
    - 'spec/lib/gitlab/diff/inline_diff_marker_spec.rb'
    - 'spec/lib/gitlab/email/handler/service_desk_handler_spec.rb'
    - 'spec/lib/gitlab/email/handler_spec.rb'
    - 'spec/lib/gitlab/email/receiver_spec.rb'
    - 'spec/lib/gitlab/encoding_helper_spec.rb'
    - 'spec/lib/gitlab/endpoint_attributes_spec.rb'
    - 'spec/lib/gitlab/error_tracking/stack_trace_highlight_decorator_spec.rb'
    - 'spec/lib/gitlab/external_authorization/client_spec.rb'
    - 'spec/lib/gitlab/favicon_spec.rb'
    - 'spec/lib/gitlab/feature_categories_spec.rb'
    - 'spec/lib/gitlab/file_detector_spec.rb'
    - 'spec/lib/gitlab/gfm/reference_rewriter_spec.rb'
    - 'spec/lib/gitlab/git/merge_base_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/git_access_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/operation_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/ref_service_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/note_importer_spec.rb'
    - 'spec/lib/gitlab/graphql/known_operations_spec.rb'
    - 'spec/lib/gitlab/graphql/tracers/metrics_tracer_spec.rb'
    - 'spec/lib/gitlab/hashed_path_spec.rb'
    - 'spec/lib/gitlab/highlight_spec.rb'
    - 'spec/lib/gitlab/http_spec.rb'
    - 'spec/lib/gitlab/i18n/translation_entry_spec.rb'
    - 'spec/lib/gitlab/import_export/after_export_strategies/base_after_export_strategy_spec.rb'
    - 'spec/lib/gitlab/import_export/after_export_strategies/web_upload_strategy_spec.rb'
    - 'spec/lib/gitlab/import_export/attribute_cleaner_spec.rb'
    - 'spec/lib/gitlab/import_export/attributes_permitter_spec.rb'
    - 'spec/lib/gitlab/import_export/fast_hash_serializer_spec.rb'
    - 'spec/lib/gitlab/import_export/json/legacy_writer_spec.rb'
    - 'spec/lib/gitlab/import_export/json/ndjson_writer_spec.rb'
    - 'spec/lib/gitlab/import_export/lfs_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/lfs_saver_spec.rb'
    - 'spec/lib/gitlab/import_export/project/tree_saver_spec.rb'
    - 'spec/lib/gitlab/import_export/saver_spec.rb'
    - 'spec/lib/gitlab/import_export/snippet_repo_restorer_spec.rb'
    - 'spec/lib/gitlab/import_sources_spec.rb'
    - 'spec/lib/gitlab/instrumentation/redis_cluster_validator_spec.rb'
    - 'spec/lib/gitlab/issues/rebalancing/state_spec.rb'
    - 'spec/lib/gitlab/jira_import/handle_labels_service_spec.rb'
    - 'spec/lib/gitlab/jira_import/issue_serializer_spec.rb'
    - 'spec/lib/gitlab/jira_import/labels_importer_spec.rb'
    - 'spec/lib/gitlab/kubernetes/kubectl_cmd_spec.rb'
    - 'spec/lib/gitlab/kubernetes/role_spec.rb'
    - 'spec/lib/gitlab/language_data_spec.rb'
    - 'spec/lib/gitlab/markup_helper_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/processor_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/validator/errors_spec.rb'
    - 'spec/lib/gitlab/metrics/rails_slis_spec.rb'
    - 'spec/lib/gitlab/metrics/samplers/threads_sampler_spec.rb'
    - 'spec/lib/gitlab/middleware/go_spec.rb'
    - 'spec/lib/gitlab/middleware/multipart_spec.rb'
    - 'spec/lib/gitlab/omniauth_initializer_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/order_spec.rb'
    - 'spec/lib/gitlab/pagination/offset_header_builder_spec.rb'
    - 'spec/lib/gitlab/path_regex_spec.rb'
    - 'spec/lib/gitlab/popen_spec.rb'
    - 'spec/lib/gitlab/process_management_spec.rb'
    - 'spec/lib/gitlab/process_supervisor_spec.rb'
    - 'spec/lib/gitlab/prometheus/additional_metrics_parser_spec.rb'
    - 'spec/lib/gitlab/prometheus/queries/matched_metric_query_spec.rb'
    - 'spec/lib/gitlab/prometheus/query_variables_spec.rb'
    - 'spec/lib/gitlab/quick_actions/extractor_spec.rb'
    - 'spec/lib/gitlab/reference_extractor_spec.rb'
    - 'spec/lib/gitlab/repository_cache_adapter_spec.rb'
    - 'spec/lib/gitlab/repository_hash_cache_spec.rb'
    - 'spec/lib/gitlab/repository_set_cache_spec.rb'
    - 'spec/lib/gitlab/search/abuse_detection_spec.rb'
    - 'spec/lib/gitlab/search_results_spec.rb'
    - 'spec/lib/gitlab/security/scan_configuration_spec.rb'
    - 'spec/lib/gitlab/shard_health_cache_spec.rb'
    - 'spec/lib/gitlab/sidekiq_config/cli_methods_spec.rb'
    - 'spec/lib/gitlab/sidekiq_config/worker_matcher_spec.rb'
    - 'spec/lib/gitlab/sidekiq_logging/structured_logger_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/worker_context/client_spec.rb'
    - 'spec/lib/gitlab/sidekiq_status_spec.rb'
    - 'spec/lib/gitlab/ssh_public_key_spec.rb'
    - 'spec/lib/gitlab/string_range_marker_spec.rb'
    - 'spec/lib/gitlab/string_regex_marker_spec.rb'
    - 'spec/lib/gitlab/suggestions/suggestion_set_spec.rb'
    - 'spec/lib/gitlab/tracking/event_definition_spec.rb'
    - 'spec/lib/gitlab/url_sanitizer_spec.rb'
    - 'spec/lib/gitlab/usage/metric_definition_spec.rb'
    - 'spec/lib/gitlab/usage/metric_spec.rb'
    - 'spec/lib/gitlab/usage/service_ping/instrumented_payload_spec.rb'
    - 'spec/lib/gitlab/usage_data_counters/hll_redis_counter_spec.rb'
    - 'spec/lib/gitlab/usage_data_spec.rb'
    - 'spec/lib/gitlab/utils/log_limited_array_spec.rb'
    - 'spec/lib/gitlab/utils_spec.rb'
    - 'spec/lib/gitlab/webpack/graphql_known_operations_spec.rb'
    - 'spec/lib/gitlab/wiki_pages/front_matter_parser_spec.rb'
    - 'spec/lib/object_storage/config_spec.rb'
    - 'spec/lib/object_storage/direct_upload_spec.rb'
    - 'spec/lib/rouge/formatters/html_gitlab_spec.rb'
    - 'spec/lib/safe_zip/entry_spec.rb'
    - 'spec/lib/safe_zip/extract_params_spec.rb'
    - 'spec/lib/safe_zip/extract_spec.rb'
    - 'spec/lib/security/ci_configuration/container_scanning_build_action_spec.rb'
    - 'spec/lib/security/ci_configuration/sast_build_action_spec.rb'
    - 'spec/lib/security/ci_configuration/sast_iac_build_action_spec.rb'
    - 'spec/lib/security/ci_configuration/secret_detection_build_action_spec.rb'
    - 'spec/lib/sidebars/menu_spec.rb'
    - 'spec/lib/system_check/orphans/namespace_check_spec.rb'
    - 'spec/lib/system_check/orphans/repository_check_spec.rb'
    - 'spec/lib/system_check/sidekiq_check_spec.rb'
    - 'spec/lib/tasks/gitlab/metrics_exporter_task_spec.rb'
    - 'spec/lib/unnested_in_filters/dsl_spec.rb'
    - 'spec/lib/unnested_in_filters/rewriter_spec.rb'
    - 'spec/metrics_server/metrics_server_spec.rb'
    - 'spec/migrations/reset_severity_levels_to_new_default_spec.rb'
    - 'spec/models/alert_management/http_integration_spec.rb'
    - 'spec/models/appearance_spec.rb'
    - 'spec/models/application_setting_spec.rb'
    - 'spec/models/authentication_event_spec.rb'
    - 'spec/models/blob_viewer/base_spec.rb'
    - 'spec/models/ci/build_dependencies_spec.rb'
    - 'spec/models/ci/build_spec.rb'
    - 'spec/models/ci/job_artifact_spec.rb'
    - 'spec/models/ci/pipeline_spec.rb'
    - 'spec/models/ci/runner_spec.rb'
    - 'spec/models/clusters/agent_spec.rb'
    - 'spec/models/clusters/platforms/kubernetes_spec.rb'
    - 'spec/models/commit_range_spec.rb'
    - 'spec/models/commit_spec.rb'
    - 'spec/models/commit_status_spec.rb'
    - 'spec/models/compare_spec.rb'
    - 'spec/models/concerns/awardable_spec.rb'
    - 'spec/models/concerns/case_sensitivity_spec.rb'
    - 'spec/models/concerns/featurable_spec.rb'
    - 'spec/models/concerns/ignorable_columns_spec.rb'
    - 'spec/models/concerns/issuable_spec.rb'
    - 'spec/models/concerns/pg_full_text_searchable_spec.rb'
    - 'spec/models/concerns/project_features_compatibility_spec.rb'
    - 'spec/models/concerns/reactive_caching_spec.rb'
    - 'spec/models/concerns/sortable_spec.rb'
    - 'spec/models/deployment_spec.rb'
    - 'spec/models/design_management/repository_spec.rb'
    - 'spec/models/diff_viewer/base_spec.rb'
    - 'spec/models/environment_spec.rb'
    - 'spec/models/group_label_spec.rb'
    - 'spec/models/group_spec.rb'
    - 'spec/models/instance_configuration_spec.rb'
    - 'spec/models/integration_spec.rb'
    - 'spec/models/integrations/bamboo_spec.rb'
    - 'spec/models/integrations/buildkite_spec.rb'
    - 'spec/models/integrations/campfire_spec.rb'
    - 'spec/models/integrations/jira_spec.rb'
    - 'spec/models/integrations/teamcity_spec.rb'
    - 'spec/models/issue_spec.rb'
    - 'spec/models/members/member_task_spec.rb'
    - 'spec/models/merge_request_diff_spec.rb'
    - 'spec/models/namespace_statistics_spec.rb'
    - 'spec/models/packages/package_spec.rb'
    - 'spec/models/packages/tag_spec.rb'
    - 'spec/models/pages_domain_spec.rb'
    - 'spec/models/performance_monitoring/prometheus_dashboard_spec.rb'
    - 'spec/models/personal_access_token_spec.rb'
    - 'spec/models/project_feature_spec.rb'
    - 'spec/models/project_label_spec.rb'
    - 'spec/models/project_setting_spec.rb'
    - 'spec/models/project_spec.rb'
    - 'spec/models/project_team_spec.rb'
    - 'spec/models/projects/topic_spec.rb'
    - 'spec/models/prometheus_metric_spec.rb'
    - 'spec/models/releases/link_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/snippet_spec.rb'
    - 'spec/models/terraform/state_spec.rb'
    - 'spec/models/user_spec.rb'
    - 'spec/models/web_ide_terminal_spec.rb'
    - 'spec/models/zoom_meeting_spec.rb'
    - 'spec/policies/group_policy_spec.rb'
    - 'spec/policies/project_policy_spec.rb'
    - 'spec/presenters/ci/pipeline_artifacts/code_coverage_presenter_spec.rb'
    - 'spec/presenters/ci/pipeline_artifacts/code_quality_mr_diff_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/packages_metadata_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/search_results_presenter_spec.rb'
    - 'spec/requests/api/badges_spec.rb'
    - 'spec/requests/api/broadcast_messages_spec.rb'
    - 'spec/requests/api/ci/jobs_spec.rb'
    - 'spec/requests/api/ci/pipelines_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_request_post_spec.rb'
    - 'spec/requests/api/ci/runner/runners_post_spec.rb'
    - 'spec/requests/api/ci/triggers_spec.rb'
    - 'spec/requests/api/container_repositories_spec.rb'
    - 'spec/requests/api/deployments_spec.rb'
    - 'spec/requests/api/geo_spec.rb'
    - 'spec/requests/api/graphql/ci/manual_variables_spec.rb'
    - 'spec/requests/api/graphql/gitlab_schema_spec.rb'
    - 'spec/requests/api/graphql/group/container_repositories_spec.rb'
    - 'spec/requests/api/graphql/group/milestones_spec.rb'
    - 'spec/requests/api/graphql/mutations/design_management/delete_spec.rb'
    - 'spec/requests/api/graphql/mutations/snippets/create_spec.rb'
    - 'spec/requests/api/graphql/mutations/snippets/destroy_spec.rb'
    - 'spec/requests/api/graphql/project/base_service_spec.rb'
    - 'spec/requests/api/graphql/project/container_repositories_spec.rb'
    - 'spec/requests/api/graphql/project/issue/design_collection/versions_spec.rb'
    - 'spec/requests/api/graphql/project/issue_spec.rb'
    - 'spec/requests/api/graphql/project/jira_import_spec.rb'
    - 'spec/requests/api/graphql/project/jira_projects_spec.rb'
    - 'spec/requests/api/graphql/project/release_spec.rb'
    - 'spec/requests/api/graphql/project/releases_spec.rb'
    - 'spec/requests/api/graphql/project/terraform/state_spec.rb'
    - 'spec/requests/api/graphql/project/terraform/states_spec.rb'
    - 'spec/requests/api/internal/base_spec.rb'
    - 'spec/requests/api/invitations_spec.rb'
    - 'spec/requests/api/issues/get_group_issues_spec.rb'
    - 'spec/requests/api/issues/get_project_issues_spec.rb'
    - 'spec/requests/api/issues/issues_spec.rb'
    - 'spec/requests/api/issues/post_projects_issues_spec.rb'
    - 'spec/requests/api/issues/put_projects_issues_spec.rb'
    - 'spec/requests/api/members_spec.rb'
    - 'spec/requests/api/merge_requests_spec.rb'
    - 'spec/requests/api/metadata_spec.rb'
    - 'spec/requests/api/project_container_repositories_spec.rb'
    - 'spec/requests/api/project_templates_spec.rb'
    - 'spec/requests/api/projects_spec.rb'
    - 'spec/requests/api/releases_spec.rb'
    - 'spec/requests/api/repositories_spec.rb'
    - 'spec/requests/api/search_spec.rb'
    - 'spec/requests/api/settings_spec.rb'
    - 'spec/requests/api/tags_spec.rb'
    - 'spec/requests/api/task_completion_status_spec.rb'
    - 'spec/requests/api/unleash_spec.rb'
    - 'spec/requests/api/users_spec.rb'
    - 'spec/requests/api/wikis_spec.rb'
    - 'spec/requests/ide_controller_spec.rb'
    - 'spec/requests/jwt_controller_spec.rb'
    - 'spec/requests/lfs_locks_api_spec.rb'
    - 'spec/requests/users_controller_spec.rb'
    - 'spec/routing/uploads_routing_spec.rb'
    - 'spec/rubocop/cop/migration/migration_record_spec.rb'
    - 'spec/rubocop/cop/migration/prevent_index_creation_spec.rb'
    - 'spec/rubocop/cop/migration/sidekiq_queue_migrate_spec.rb'
    - 'spec/rubocop/cop/performance/readlines_each_spec.rb'
    - 'spec/serializers/build_details_entity_spec.rb'
    - 'spec/serializers/container_repositories_serializer_spec.rb'
    - 'spec/serializers/diff_file_entity_spec.rb'
    - 'spec/serializers/group_child_entity_spec.rb'
    - 'spec/services/award_emojis/copy_service_spec.rb'
    - 'spec/services/bulk_imports/file_download_service_spec.rb'
    - 'spec/services/bulk_imports/lfs_objects_export_service_spec.rb'
    - 'spec/services/ci/create_pipeline_service/pre_post_stages_spec.rb'
    - 'spec/services/ci/create_pipeline_service/rules_spec.rb'
    - 'spec/services/ci/create_pipeline_service_spec.rb'
    - 'spec/services/ci/pipeline_processing/atomic_processing_service_spec.rb'
    - 'spec/services/ci/register_job_service_spec.rb'
    - 'spec/services/ci/retry_pipeline_service_spec.rb'
    - 'spec/services/ci/runners/register_runner_service_spec.rb'
    - 'spec/services/ci/stuck_builds/drop_pending_service_spec.rb'
    - 'spec/services/ci/stuck_builds/drop_running_service_spec.rb'
    - 'spec/services/ci/stuck_builds/drop_scheduled_service_spec.rb'
    - 'spec/services/clusters/kubernetes/create_or_update_service_account_service_spec.rb'
    - 'spec/services/deployments/update_environment_service_spec.rb'
    - 'spec/services/design_management/copy_design_collection/copy_service_spec.rb'
    - 'spec/services/git/branch_push_service_spec.rb'
    - 'spec/services/git/process_ref_changes_service_spec.rb'
    - 'spec/services/groups/update_statistics_service_spec.rb'
    - 'spec/services/import/gitlab_projects/create_project_service_spec.rb'
    - 'spec/services/issuable/process_assignees_spec.rb'
    - 'spec/services/issues/export_csv_service_spec.rb'
    - 'spec/services/jira/requests/projects/list_service_spec.rb'
    - 'spec/services/lfs/file_transformer_spec.rb'
    - 'spec/services/members/create_service_spec.rb'
    - 'spec/services/members/invite_service_spec.rb'
    - 'spec/services/merge_requests/conflicts/resolve_service_spec.rb'
    - 'spec/services/merge_requests/merge_service_spec.rb'
    - 'spec/services/merge_requests/pushed_branches_service_spec.rb'
    - 'spec/services/merge_requests/refresh_service_spec.rb'
    - 'spec/services/packages/create_dependency_service_spec.rb'
    - 'spec/services/packages/nuget/create_dependency_service_spec.rb'
    - 'spec/services/packages/nuget/metadata_extraction_service_spec.rb'
    - 'spec/services/packages/nuget/update_package_from_metadata_service_spec.rb'
    - 'spec/services/packages/update_tags_service_spec.rb'
    - 'spec/services/pages_domains/obtain_lets_encrypt_certificate_service_spec.rb'
    - 'spec/services/product_analytics/build_graph_service_spec.rb'
    - 'spec/services/projects/branches_by_mode_service_spec.rb'
    - 'spec/services/projects/lfs_pointers/lfs_link_service_spec.rb'
    - 'spec/services/projects/operations/update_service_spec.rb'
    - 'spec/services/projects/record_target_platforms_service_spec.rb'
    - 'spec/services/projects/update_statistics_service_spec.rb'
    - 'spec/services/prometheus/proxy_variable_substitution_service_spec.rb'
    - 'spec/services/quick_actions/interpret_service_spec.rb'
    - 'spec/services/upload_service_spec.rb'
    - 'spec/sidekiq_cluster/sidekiq_cluster_spec.rb'
    - 'spec/support/atlassian/jira_connect/schemata.rb'
    - 'spec/support/banzai/reference_filter_shared_examples.rb'
    - 'spec/support/capybara.rb'
    - 'spec/support/helpers/gpg_helpers.rb'
    - 'spec/support/helpers/login_helpers.rb'
    - 'spec/support/helpers/prometheus_helpers.rb'
    - 'spec/support/helpers/repo_helpers.rb'
    - 'spec/support/helpers/seed_repo.rb'
    - 'spec/support/helpers/test_env.rb'
    - 'spec/support/helpers/usage_data_helpers.rb'
    - 'spec/support/import_export/configuration_helper.rb'
    - 'spec/support/import_export/export_file_helper.rb'
    - 'spec/support/matchers/markdown_matchers.rb'
    - 'spec/support/prometheus/additional_metrics_shared_examples.rb'
    - 'spec/support/prometheus/metric_builders.rb'
    - 'spec/support/shared_contexts/graphql/resolvers/runners_resolver_shared_context.rb'
    - 'spec/support/shared_contexts/services/projects/container_repository/delete_tags_service_shared_context.rb'
    - 'spec/support/shared_examples/controllers/metrics_dashboard_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/wiki_actions_shared_examples.rb'
    - 'spec/support/shared_examples/features/page_description_shared_examples.rb'
    - 'spec/support/shared_examples/features/wiki/user_creates_wiki_page_shared_examples.rb'
    - 'spec/support/shared_examples/features/wiki/user_updates_wiki_page_shared_examples.rb'
    - 'spec/support/shared_examples/features/wiki/user_views_wiki_page_shared_examples.rb'
    - 'spec/support/shared_examples/finders/issues_finder_shared_examples.rb'
    - 'spec/support/shared_examples/lib/banzai/filters/sanitization_filter_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/middleware/multipart_shared_examples.rb'
    - 'spec/support/shared_examples/metrics/transaction_metrics_with_labels_shared_examples.rb'
    - 'spec/support/shared_examples/models/application_setting_shared_examples.rb'
    - 'spec/support/shared_examples/models/diff_positionable_note_shared_examples.rb'
    - 'spec/support/shared_examples/models/member_shared_examples.rb'
    - 'spec/support/shared_examples/models/project_ci_cd_settings_shared_examples.rb'
    - 'spec/support/shared_examples/models/wiki_shared_examples.rb'
    - 'spec/support/shared_examples/path_extraction_shared_examples.rb'
    - 'spec/support/shared_examples/quick_actions/commit/tag_quick_action_shared_examples.rb'
    - 'spec/support/shared_examples/quick_actions/issue/create_merge_request_quick_action_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/container_repositories_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/rubygems_packages_shared_examples.rb'
    - 'spec/support/shared_examples/services/container_registry_auth_service_shared_examples.rb'
    - 'spec/support/shared_examples/validators/url_validator_shared_examples.rb'
    - 'spec/support_specs/graphql/arguments_spec.rb'
    - 'spec/support_specs/helpers/active_record/query_recorder_spec.rb'
    - 'spec/support_specs/matchers/exceed_query_limit_helpers_spec.rb'
    - 'spec/tasks/gitlab/db_rake_spec.rb'
    - 'spec/tasks/gitlab/task_helpers_spec.rb'
    - 'spec/tooling/danger/customer_success_spec.rb'
    - 'spec/tooling/danger/datateam_spec.rb'
    - 'spec/tooling/danger/sidekiq_queues_spec.rb'
    - 'spec/tooling/lib/tooling/test_map_generator_spec.rb'
    - 'spec/uploaders/attachment_uploader_spec.rb'
    - 'spec/uploaders/avatar_uploader_spec.rb'
    - 'spec/uploaders/ci/pipeline_artifact_uploader_spec.rb'
    - 'spec/uploaders/dependency_proxy/file_uploader_spec.rb'
    - 'spec/uploaders/design_management/design_v432x230_uploader_spec.rb'
    - 'spec/uploaders/external_diff_uploader_spec.rb'
    - 'spec/uploaders/import_export_uploader_spec.rb'
    - 'spec/uploaders/job_artifact_uploader_spec.rb'
    - 'spec/uploaders/lfs_object_uploader_spec.rb'
    - 'spec/uploaders/namespace_file_uploader_spec.rb'
    - 'spec/uploaders/object_storage_spec.rb'
    - 'spec/uploaders/packages/composer/cache_uploader_spec.rb'
    - 'spec/uploaders/packages/debian/component_file_uploader_spec.rb'
    - 'spec/uploaders/packages/debian/distribution_release_file_uploader_spec.rb'
    - 'spec/uploaders/packages/package_file_uploader_spec.rb'
    - 'spec/uploaders/pages/deployment_uploader_spec.rb'
    - 'spec/uploaders/personal_file_uploader_spec.rb'
    - 'spec/validators/any_field_validator_spec.rb'
    - 'spec/views/layouts/_head.html.haml_spec.rb'
    - 'spec/views/layouts/nav/sidebar/_project.html.haml_spec.rb'
    - 'spec/views/projects/commit/branches.html.haml_spec.rb'
    - 'spec/views/shared/runners/_runner_details.html.haml_spec.rb'
    - 'spec/workers/concerns/worker_context_spec.rb'
    - 'spec/workers/container_registry/migration/enqueuer_worker_spec.rb'
    - 'spec/workers/gitlab/github_import/advance_stage_worker_spec.rb'
    - 'spec/workers/groups/update_statistics_worker_spec.rb'
    - 'spec/workers/jira_connect/sync_branch_worker_spec.rb'
    - 'spec/workers/post_receive_spec.rb'
    - 'spec/workers/project_cache_worker_spec.rb'
    - 'spec/workers/projects/record_target_platforms_worker_spec.rb'
    - 'spec/workers/stuck_merge_jobs_worker_spec.rb'
    - 'spec/workers/update_project_statistics_worker_spec.rb'
    - 'tooling/danger/datateam.rb'
